Permalink
Browse files

Don't build a separate gem for Rubinius anymore.

This possibly caused problems when using bundler.
See issue on GH #18
  • Loading branch information...
1 parent 57de828 commit 9e79c7f68bee62cc975b3026b44c44abc1c7ec62 @splattael committed Jun 15, 2012
Showing with 7 additions and 36 deletions.
  1. +3 −21 lib/libnotify/tasks/rubies.rake
  2. +4 −15 libnotify.gemspec
View
24 lib/libnotify/tasks/rubies.rake
@@ -1,11 +1,9 @@
-
SUPPORTED_RUBIES = %w[ree 1.9.2 1.9.3 jruby rbx]
-PLATFORMS = %w[ree rbx]
GEMSPEC = Bundler::GemHelper.new(Dir.pwd).gemspec
def with_ruby(ruby, command)
- rvm = "#{ruby}@#{GEMSPEC.name}"
- command = %{rvm #{rvm} exec bash -c '#{command}'}
+ gemset = GEMSPEC.name
+ command = %{rvm #{ruby}@#{gemset} --create do bash -c '#{command}'}
puts "\n" * 3
puts "CMD: #{command}"
@@ -17,23 +15,7 @@ end
namespace :rubies do
desc "Run tests for following supported platforms #{SUPPORTED_RUBIES.join ", "}"
task :test do
- command = "bundle check || bundle install && rake"
+ command = "(bundle check || bundle install) && bundle exec rake"
SUPPORTED_RUBIES.each { |ruby| with_ruby(ruby, command) }
end
-
- desc "Build gems for following supported platforms #{PLATFORMS.join ", "}"
- task :build do
- command = "rm -f Gemfile.lock && rake build"
- PLATFORMS.each { |ruby| with_ruby(ruby, command) }
- end
-
- desc "Pushes gems for non-ruby platforms: rbx"
- task :push => :build do
- versions = Dir[File.join("pkg", "#{GEMSPEC.name}-#{GEMSPEC.version}-*.gem")].to_a
- versions.each do |gem|
- command = "gem push #{gem}"
- puts command
- system command
- end
- end
end
View
19 libnotify.gemspec
@@ -2,18 +2,9 @@
$:.push File.expand_path("../lib", __FILE__)
require "libnotify/version"
-platform = Gem::Platform::RUBY
-needs_ffi = true
-
-if defined?(RUBY_ENGINE) && RUBY_ENGINE =~ /rbx/
- needs_ffi = false
- platform = Gem::Platform::new ['universal', 'rubinius', '1.2']
-end
-
Gem::Specification.new do |s|
s.name = "libnotify"
s.version = Libnotify::VERSION
- s.platform = platform
s.authors = ["Peter Suschlik"]
s.email = ["peter-libnotify@suschlik.de"]
s.homepage = "http://rubygems.org/gems/libnotify"
@@ -24,11 +15,9 @@ Gem::Specification.new do |s|
s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
s.require_paths = ["lib"]
- if needs_ffi
- s.add_runtime_dependency 'ffi', '~> 1.0.0'
- end
+ s.add_runtime_dependency 'ffi', '~> 1.0.11'
- s.add_development_dependency 'minitest'
- s.add_development_dependency 'minitest-libnotify'
- s.add_development_dependency 'yard', '~> 0.7.0'
+ s.add_development_dependency 'yard', '~> 0.8.2'
+ s.add_development_dependency 'minitest', '~> 3.1.0'
+ s.add_development_dependency 'minitest-libnotify', '~> 0.2.2'
end

0 comments on commit 9e79c7f

Please sign in to comment.